<?php

namespace Drupal\c2pa_sign\Event;

use Drupal\Component\EventDispatcher\Event;
use Jrglasgow\C2paTool\Signer;

/**
 * Wraps an indexing items event.
 */
final class PreSignEvent extends Event {

  const EVENT_NAME = 'c2pa_sign_pre_sign_event';

  /**
   * @var \Jrglasgow\C2paTool\Signer
   */
  private Signer $signer;

  /**
   * Creates the new class instance
   *
   * @param array $manifest The manifest array to be passed to c2patool as JSON
   */
  public function __construct(Signer $signer) {
    $this->signer = $signer;
  }

  /**
   * Retrieves the potentially altered manifest
   */
  public function getSigner(): Signer {
    return $this->signer;
  }

  /**
   * set the manifest data
   *
   * @param array $manifest
   *
   * @return void
   */
  public function setSigner(Signer $signer) {
    $this->signer = $signer;
  }

}
